* {
  margin: 0;
  padding: 0;
  border: 0;
  /* box-sizing: border-box; */ /*<--consider using this one too*/
}

/* comentário rápido Cmd + Shift + 7 */

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
/* ---------------------FORMAT--------------------------- */

@font-face {
  font-family: ibm;
  src: url(fonts/IBMPlexMono-Regular.ttf);
}

@font-face {
  font-family: neu;
  src: url(fonts/NeurealTrial-Regular.woff);
}

@font-face {
  font-family: mrt;
  src: url(fonts/MariaVF.ttf);
}

html {
  cursor: none;
}

body {
  background-color: #0a0a0a;
  max-width: 400px;
  width: 100%;
  margin: 0 auto;
  text-align: center;
  font-family: ibm, monospace;
  padding: 5em 1em;
  cursor: none;
}

.custom-cursor {
  position: fixed;
  width: 15px;
  height: 15px;
  background-color: #04ff00;
  border-radius: 50%;
  pointer-events: none; /* Ensures the cursor doesn't block clicks */
  transform: translate(-50%, -50%);
  z-index: 1000;
  transition: transform 0.3s ease;
  cursor: none;
}

h1 {
  font-size: 3rem;
  text-transform: lowercase;
  margin-bottom: 1.3em;
  color: #fff;
  font-family: neu, sans-serif;
}

/* AREA 51 ----------------*/

h5 {
  margin: -10px 0 -30px 0;
  font-size: 19rem;
  font-family: mrt;
  animation: varyWidth 6s infinite ease;

  font-style: normal;
  will-change: font-variation-settings; /* Otimização de desempenho */
}

@keyframes varyWidth {
  0% {
    font-variation-settings: "wdth" 0;
  }
  50% {
    font-variation-settings: "wdth" 400;
  }
  100% {
    font-variation-settings: "wdth" 0;
  }
}

/* AREA 51 ----------------*/

.box {
  color: #fff;
  background-color: #0e0e0e;
  border: 2px solid #242424;
  border-radius: 13px;
  font-size: 0.9rem;
  cursor: none;
}

.box:hover {
  color: #fff;
  background-color: #0e0e0e;
  border: 2px solid #04ff00;
  transition: 0.3s ease;
}

.big {
  border-radius: 19px;
}

.block {
  display: grid;
  grid-template-columns: 1fr;
  padding: 7px;
}

a {
  width: auto;
  padding: 1em 1em;
  text-decoration: none;
  text-transform: uppercase;
  cursor: none;
}

.tag {
  padding: 0.5em 0.3em;
  border-radius: 8px;
  color: #000;
  background-color: #04ff00;
  width: 13em;
  display: block;
  margin: 0 auto;
  transition: 0.3s ease;
  cursor: none;
  transform: translate(0px, -1.2em);
  /* in order: x offset, y offset, blur size, spread size, color */
  /* blur size and spread size are optional (they default to 0) */
}

.tag:hover {
  box-shadow: 0px 0px 20px 0px #04ff00;
}

/* -----------------------  SOCIAL */
.social {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 8px;
}

.a3 {
  grid-column: span 2 / span 2;
}

.a4 {
  grid-column: span 2 / span 2;
  grid-row-start: 3;
}
/* -----------------------  END SOCIAL */

.credits {
  margin: 4em auto 3em auto;
  font-size: 0.7rem;
  line-height: 1.5;
  color: #6a6a6a;
}

@media (max-width: 800px) {
  body {
    max-width: 280px;
    width: 100%;
    margin: 0 auto;
    padding: 5em 1em;
  }

  .tag {
    box-shadow: 0px 0px 20px 0px #04ff00;
  }

  .custom-cursor {
    display: none;
  }
}
